Delete program
curl --request DELETE \
--url https://api.example.com/v1/programimport requests
url = "https://api.example.com/v1/program"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v1/program', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/program",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/program"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/v1/program")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/program")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"status": 1,
"message": "Program deleted successfully"
}
{
"message": "Invalid confirmation code"
}
Program
Delete program
Delete a program and all associated data via API. Requires two-step confirmation.
DELETE
/
v1
/
program
Delete program
curl --request DELETE \
--url https://api.example.com/v1/programimport requests
url = "https://api.example.com/v1/program"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/v1/program', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/program",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/program"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.example.com/v1/program")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/program")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body{
"status": 1,
"message": "Program deleted successfully"
}
{
"message": "Invalid confirmation code"
}
Endpoint
DELETE https://api.partnero.com/v1/program
Deleting a program removes all associated partners, customers, transactions, rewards, and settings. This action cannot be undone.
How it works
- Request a confirmation code — call the endpoint without a
confirmation_code. The API returns a unique 8-character code - Confirm deletion — call the endpoint again with the
confirmation_codewithin 20 seconds
Request body
| Parameter | Type | Required | Description |
|---|---|---|---|
confirmation_code | string | No | The confirmation code received from step 1. Omit to request a new code |
Step 1: Request confirmation code
cURL
curl --location --request DELETE 'https://api.partnero.com/v1/program' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY'
Response
200 OK
{
"data": {
"confirmation_code": "aB3xK9mQ"
}
}
Step 2: Confirm deletion
Send the confirmation code back within 20 seconds to complete the deletion.cURL
curl --location --request DELETE 'https://api.partnero.com/v1/program' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"confirmation_code": "aB3xK9mQ"
}'
Response
{
"status": 1,
"message": "Program deleted successfully"
}
{
"message": "Invalid confirmation code"
}
Was this page helpful?
